// DART.INC
//
// By Neil Clark
//
// For use with DART.POV
// 12/94 - For Internet 'Games' Contest
//
// Blue and Yellow Brass tipped darts
//
//

#declare Dart_Tip =
 object
  {
    cone
     {
      < -0.2, 0, 0 >, 0.10
      < 1.75, 0, 0 >, 0.0
      texture { Polished_Brass }
     }
  }

#declare Dart_Handle_Part =
 object
  {
    sphere
     {
      < 0, 0, 0 >, 0.30
      scale <0.5, 1, 1 >
      texture { Polished_Brass }
     }
  }

#declare Dart_Handle = union
 {
  object { Dart_Handle_Part }
  object { Dart_Handle_Part translate <-0.15,0,0> }
  object { Dart_Handle_Part translate <-0.3,0,0> }
  object { Dart_Handle_Part translate <-0.45,0,0> }
  object { Dart_Handle_Part translate <-0.6,0,0> }
  object { Dart_Handle_Part translate <-0.75,0,0> }
  object { Dart_Handle_Part translate <-0.9,0,0> }
  object { Dart_Handle_Part translate <-1.05,0,0> }
  object { Dart_Handle_Part translate <-1.2,0,0> }
  object { Dart_Handle_Part translate <-1.35,0,0> }
  object { Dart_Handle_Part translate <-1.5,0,0> }
  object { Dart_Handle_Part translate <-1.65,0,0> }
  object { Dart_Handle_Part translate <-1.8,0,0> }
  object { Dart_Handle_Part translate <-1.95,0,0> }
 }

#declare Dart_Body_B =
 object
  {
    cone
     {
      < 0, 0, 0 >, 0.05
      < 5, 0, 0 >, 0.30
      texture { pigment { color Blue }}
     }
  }

#declare Dart_Fin_B =
 difference
  {
    object
     {
      Disk_Z
      scale <1.6, 1.1, 0.02>
      texture { pigment { color Blue }}
     }
    object
     {
      Disk_Z
      scale <0.75, 1.2, 0.3>
      translate <-0.9, 0, 0>
      texture { pigment { color Blue }}
     }
    object
     {
      box { <-2, -2, -2>, <2, 0, 2> }
      pigment { rgbf <1,1,1,1> }
     }
  }

#declare Dart_Body_Y =
 object
  {
    cone
     {
      < 0, 0, 0 >, 0.05
      < 5, 0, 0 >, 0.30
      texture { pigment { color Yellow }}
     }
  }

#declare Dart_Fin_Y =
 difference
  {
    object
     {
      Disk_Z
      scale <1.6, 1.1, 0.02>
      texture { pigment { color Yellow }}
     }
    object
     {
      Disk_Z
      scale <0.75, 1.2, 0.3>
      translate <-0.9, 0, 0>
      texture { pigment { color Yellow }}
     }
    object
     {
      box { <-2, -2, -2>, <2, 0, 2> }
      pigment { rgbf <1,1,1,1> }
     }
  }

#declare Blue_Dart = union
  {
   object { Dart_Tip translate <0,2,0> }
   object { Dart_Handle translate <0,2,0> }
   object { Dart_Body_B translate <-7,2,0> }
   object { Dart_Fin_B translate <-8.5,2,0> }
   object { Dart_Fin_B rotate <90,0,0> translate <-8.5,2,0> }
   object { Dart_Fin_B rotate <180,0,0> translate <-8.5,2,0> }
   object { Dart_Fin_B rotate <270,0,0> translate <-8.5,2,0> }
  }

#declare Yellow_Dart = union
  {
   object { Dart_Tip translate <0,2,0> }
   object { Dart_Handle translate <0,2,0> }
   object { Dart_Body_Y translate <-7,2,0> }
   object { Dart_Fin_Y translate <-8.5,2,0> }
   object { Dart_Fin_Y rotate <90,0,0> translate <-8.5,2,0> }
   object { Dart_Fin_Y rotate <180,0,0> translate <-8.5,2,0> }
   object { Dart_Fin_Y rotate <270,0,0> translate <-8.5,2,0> }
  }

